using UnityEngine;
using System.Collections;

public class AOEShot : MonoBehaviour {

	public GameObject explosion;

	void Start () 
	{
		Invoke("Kaboom",1);
	}
	void Kaboom()
	{
		GameObject explosionClone = (GameObject)Instantiate (explosion,transform.position, transform.rotation);
		explosionClone.GetComponent<Projectile>().damage = gameObject.GetComponent<Projectile>().damage;
		Destroy(gameObject,0);
	}
}
